import Vue from 'vue';
import OriginSidelip from './index.vue'

class Sidelip {
  constructor(component = {}, option = {}, callback) {
    //全屏状态不给打开
    if ($store.state.isFullscreen) return;
    option.on = option.on || {};
    option.ref = 'childrenNode';
    this.callback = callback;
    option.on = {
      close: (data) => {
        this.close(data);
        console.log("!***********************************该close方法请使用大写开头Close,后续将不再支持close方法。***************************************!")
      },
      Close: (data) => {
        this.close(data);
      },
      SetPageActions: (data) => {
        this.setPageActions(data)
      },
      SetActionsState: (param) => {
        this.setActionsState(param.btn, param.state)
      },
      setTitle: (val) => {
        this.setTitle(val);
        console.log("!***********************************该setTitle方法请使用大写开头SetTitle,后续将不再支持setTitle方法。***************************************!")
      },
      SetTitle: (val) => {
        this.setTitle(val);
      },
      SetTip: (val) => {
        this.setTip(val);
      }
    };
    this.instance = new Vue({
      el: document.createElement('div'),
      render: function (createElement) {
        return createElement(
          OriginSidelip,
          {
            props: {
              full: option.full,
              isNav: option.isNav,
              className: option.className,
              //关闭页面之前的操作
              closeStartFn: () => {
                return new Promise(resolve => {
                  //校验子组件是否存在需要关闭前的额外操作
                  if (this.$refs.childrenNode && this.$refs.childrenNode.closePageStartFn) {
                    this.$refs.childrenNode.closePageStartFn(resolve);
                  }else {
                    resolve();
                  }
                });
              }
            }
          },
          [
            createElement(
              component,
              option,
              this.$slots.default
            )
          ]
        )
      }
    })
    if (option.full) {
      // document.body.appendChild(this.instance.$el);
      document.querySelector('#main').appendChild(this.instance.$el);
    } else {
      document.querySelector('.single-page').appendChild(this.instance.$el);
    }
    $instanceSidelipArray.push(this);
    $channel.$once('RouterChangeBefore', () => {
      //路由跳转或点击标签不用触发关闭前的额外操作  true：不触发
      this.close({},true);
    })
  }
  //type:是否触发关闭前的额外操作   true：不触发  false：触发
  close(data,type) {
    if (this.instance.$children.length < 1) {
      return;
    }
    this.instance.$children[0].hide(type);
    if (this.callback) {
      this.callback(data);
    }
    $channel.$off('RouterChangeBefore');
    $channel.$emit('FlowBtnRouterBefore');
    $instanceSidelipArray.pop()
  }
  setPageActions(data) {
    this.instance.$children[0].setPageActions(data);
  }
  setActionsState(action, state) {
    this.instance.$children[0].setActionsState(action, state);
  }
  setTitle(val) {
    this.instance.$children[0].setTitle(val);
  }
  setTip(val) {
    this.instance.$children[0].setTip(val);
  }
}
window.$instanceSidelipArray = [];
export default Sidelip;
// (component, option, sidelipOption) => {
//   $instanceSidelipArray.push(new Sidelip(component, option, sidelipOption));
//   return $instanceSidelipArray[$instanceSidelipArray.length - 1];
// };

// $channel.$on('RouterChangeBefore', () => {
//   for (let sidelip of $instanceSidelipArray) {
//     if (sidelip.close) {
//       sidelip.close();
//     }
//   }
//   $instanceSidelipArray = [];
// })
