// 自动设置语言
const navLang = navigator.language;
const localLang = navLang === "zh-CN" || navLang === "en-US" ? navLang : false;
export let lang = window.localStorage.getItem("language") || localLang || "zh-CN";

import Locales from "./lang/index.js";
import zhLocale from "view-design/dist/locale/zh-CN";
import enLocale from 'view-design/dist/locale/en-US';
import { process } from "ipaddr.js";

export const langConfig = {
  "zh-CN": Object.assign(zhLocale, Locales["zh-CN"]),
  "en-US": Object.assign(enLocale, Locales["en-US"])
};

export function setLang(newLang) {
  lang = newLang;
}

const warning = function(msg) {
  console.error(msg);
};

export function getLang(path, targetLang = lang) {
  targetLang = targetLang || "zh-CN";
  const array = path.split(".");
  let current = langConfig[targetLang];

  if (!current) {
    warning(path + " 没取到值!");
  }

  let value;
  for (let i = 0, j = array.length; i < j; i++) {
    const property = array[i];
    value = current[property];
    if (!value) {
      warning(path + " 没取到值!");
      return path;
    }

    current = value;
  }

  // console.log(current)
  return current;
}

window.$getLang = getLang;
