import Main from './views/Main.vue';
const loginRouter = {
  path: '/login',
  name: 'login',
  meta: {
    title: 'Login - 登录'
  },
  component: resolve => { require(['./views/login.vue'], resolve); }
};

const resetPasswordRouter = {
  path: '/reset-password',
  name: 'reset-password',
  component: resolve => { require(['./views/password/ResetPassword.vue'], resolve); }
};

const page404 = {
  path: '/*',
  name: 'error_404',
  meta: {
    title: '404-页面不存在'
  },
  component: resolve => { require(['./views/error_page/404.vue'], resolve); }
};

const page401 = {
  path: '/401',
  meta: {
    title: '401-权限不足'
  },
  name: 'error_401',
  component: resolve => { require(['./views/error_page/401.vue'], resolve); }
};

const page500 = {
  path: '/500',
  meta: {
    title: '500-服务端错误'
  },
  name: 'error_500',
  component: resolve => { require(['./views/error_page/500.vue'], resolve); }
};

export const otherRouter = {
  path: '/',
  name: 'otherRouter',
  redirect: '/home',
  component: Main,
  children: [{
    path: 'home',
    title: $getLang('common.homePage'),
    name: 'home_index',
    component: resolve => { require(['./views/home/home.vue'], resolve); }
  },
  {
    path: 'ownspace',
    title: $getLang('module.main.personalCenter'),
    name: 'ownspace_index',
    component: resolve => { require(['./views/own-space/own-space.vue'], resolve); }
  },
  {
    path: 'feedback',
    title: $getLang('module.main.feedback'),
    name: 'feedback',
    component: resolve => { require(['./views/system/feedback/Feedback.vue'], resolve); }
  }
  ]
};


// export const locking = {
//   path: '/locking',
//   name: 'locking',
//   component: resolve => { require(['./views/components/locking-page.vue'], resolve); }
// };

export const appRouter = {
  path: '/',
  icon: 'key',
  name: 'system',
  title: ' ',
  component: Main,
  children: [
    {
    path: 'user-list',
    icon: 'compose',
    name: 'user-list',
    title: '用户管理',
    component: resolve => { require(['./views/system/user/UserList.vue'], resolve); }
  },
  {
    path: 'iframe/:src',
    icon: 'compose',
    name: 'ripples-iframe',
    title: 'IFRAME',
    component: resolve => { require(['./components/RipplesIframe.vue'], resolve); }
  },
  {
    path: 'role-manage',
    icon: 'compose',
    name: 'role-manage',
    title: '角色管理',
    component: resolve => { require(['./views/system/role/RoleManage.vue'], resolve); }
  },
  {
    path: 'menu-manage',
    icon: 'compose',
    name: 'menu-manage',
    title: '功能管理',
    component: resolve => { require(['./views/system/menuManage/MenuManage.vue'], resolve); }
  },
  {
    path: 'user-session-manage',
    icon: 'compose',
    name: 'user-session-manage',
    title: '用户会话管理',
    component: resolve => { require(['./views/system/userSession/UserSessionList.vue'], resolve); }
  },
  {
    path: 'org-manage',
    icon: 'compose',
    name: 'org-manage',
    title: '组织管理',
    component: resolve => { require(['./views/system/orgManage/OrgManage.vue'], resolve); }
  },
  {
    path: 'value-set',
    icon: 'compose',
    name: 'value-set',
    title: '值集管理',
    component: resolve => { require(['./views/system/valueSet/ValueSetList.vue'], resolve); }
  },
  {
    path: 'operate-log-manage',
    icon: 'compose',
    name: 'operate-log-manage',
    title: '操作日志',
    component: resolve => { require(['./views/system/operateLog/OperateLogManage.vue'], resolve); }
  },
  {
    path: 'email-config',
    icon: 'compose',
    name: 'email-config',
    title: '邮箱服务器设置',
    component: resolve => { require(['./views/system/emailConfig/EmailConfig.vue'], resolve); }
  },
  {
    path: 'resources-monitoring',
    icon: 'compose',
    name: 'resources-monitoring',
    title: '资源监控',
    component: resolve => { require(['./views/system/resourceMonitoring/ResourcesMonitoring.vue'], resolve); }
  },
  {
    path: 'distributed-task',
    icon: 'compose',
    name: 'distributed-task',
    title: '分布式定时任务',
    component: resolve => { require(['./views/system/distributedTask/DistributedScheduledTask.vue'], resolve); }
  },
  {
    path: 'menu-resource',
    icon: 'compose',
    name: 'menu-resource',
    title: '资源管理',
    component: resolve => { require(['./views/system/resourceManage/MenuResourceManage.vue'], resolve); }
  },
  {
    path: 'feedback-manage',
    title: '建议反馈管理',
    name: 'feedback-manage',
    component: resolve => { require(['./views/system/feedback/FeedbackManage.vue'], resolve); }
  },
  {
    path: 'datasource-monitor',
    icon: 'compose',
    name: 'datasource-monitor',
    title: '数据源监控',
    component: resolve => { require(['./views/system/datasource/ServerList.vue'], resolve); }
  },
  {
    path: 'sys-group-manage',
    icon: 'compose',
    name: 'sys-group-manage',
    title: '群组管理',
    component: resolve => { require(['./views/system/groupManage/SysGroupManage.vue'], resolve); }
  },
  {
    path: 'dimension-manage',
    icon: 'compose',
    name: 'dimension-manage',
    title: '维度管理',
    component: resolve => { require(['./views/system/dimension/DimensionList.vue'], resolve); }
  },
  {
    path: 'menu-template-manage',
    icon: 'compose',
    name: 'menu-template-manage',
    title: '菜单模板管理',
    component: resolve => { require(['./views/system/menuTemplate/MenuTemplateList.vue'], resolve); }
  },
  {
    path: 'flex-field-manage',
    icon: 'compose',
    name: 'flex-field-manage',
    title: '弹性域管理',
    component: resolve => { require(['./views/system/flexField/FlexFieldList.vue'], resolve); }
  },
  {
    path: 'select-value-set',
    icon: 'compose',
    name: 'select-value-set',
    title: '值集组件',
    component: resolve => { require(['./views/test/valueSet/SelectValueSetTest.vue'], resolve); }
  },
  {
    path: 'sys-notice',
    icon: 'compose',
    name: 'sys-notice',
    title: '系统公告',
    component: resolve => { require(['./views/system/systemNotice/SysNoticeList.vue'], resolve); }
  },
  {
    path: 'config-manage',
    icon: 'compose',
    name: 'config-manage',
    title: '配置管理',
    component: resolve => { require(['./views/system/configManage/ConfigManage.vue'], resolve); }
  },
  {
    path: 'receipt-sequence-manage',
    icon: 'compose',
    name: 'receipt-sequence-manage',
    title: '单据序列管理',
    component: resolve => { require(['./views/system/receiptSequence/ReceiptSequenceManage.vue'], resolve); }
  },
  {
    path: 'send-message',
    icon: 'compose',
    name: 'send-message',
    title: '消息发送',
    component: resolve => { require(['./views/system/sendMessage/SendMessageList.vue'], resolve); }
  },
  {
    path: 'log-query',
    icon: 'compose',
    name: 'log-query',
    title: '日志查询',
    component: resolve => { require(['./views/system/logQuery/LogQuery.vue'], resolve); }
  },
  ]
};

export const routers = [
  loginRouter,
  resetPasswordRouter,
  otherRouter,
  // locking,
  appRouter,
  page500,
  page401,
  page404
]

export default {
  otherRouter,
  appRouter,
  routers
};
