import axios from 'axios';
export default {
    SingnIn: function ({ commit }, param) {
        return new Promise((resolve) => {
            axios.post(`${process.env.API.baseURL}/sys/login`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    GetUserMenus: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/nav/info`).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    GetAvatar: function ({ commit }, param) {
        $axios.post(`${process.env.API.baseURL}/sys/account/avatar/getUrl`).then((response) => {
            commit('setAvatar', !!response.data.dataResult ? response.data.dataResult.avatarUrl : '');
        })
    },
    //获取用户信息
    QueryCurrentUserInfo({ commit },param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.dockdataURL}/common/queryCurrentUserInfo`, param).then((res) => {
                localStorage.userInfo = JSON.stringify(res.data.dataResult);
                $store.commit("setUserInfo",res.data.dataResult);
            })
        })
    },
    ChangeRole: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/nav/switch?roleId=${param.roleId}`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    ChangeLang: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/lang/switch`, param).then((response) => {
                window.localStorage.language = param.language;
                $store.commit("setLang", param.language);
                resolve(response.data);
            })
        })
    },
    Logout: function ({ commit }) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/logout`).then((response) => {
                resolve();
            })
        })
    },
    GetFlexField: function ({ commit }, flexFieldCode) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/flexField/fetch/all`, { flexFieldCode }).then((response) => {
                resolve({
                    success: response.data.statusCode == '0',
                    msg: response.data.msg,
                    data:response.data.dataResult
                });
            })
        })
    }
}
