import state from './state'
import actions from './actions'
import mutations from './mutations'
import getters from './getters'

import menuModule from './modules/system/menu/index.js'
import roleModule from './modules/system/role/index.js'
import userModule from './modules/system/user/index.js'
import sessionModule from './modules/system/session/index.js'
import orgModule from './modules/system/org/index.js'
import EmailModule from './modules/system/email/index.js'
import TaskModule from './modules/system/task/index.js'
import menuResource from './modules/system/resource/index.js'
import feedback from './modules/system/feedback/index.js'
import resourcesMonitoring from './modules/system/resourcesMonitoring/index.js'
import datasource from './modules/system/datasource/index.js'
import sysGroupMg from './modules/system/group/index.js'
import dimension from './modules/system/dimension/index.js'
import valueSet from './modules/system/valueSet/index.js'
import menuTemplate from './modules/system/menuTemplate/index.js' 
import flexField from './modules/system/flexField/index.js' 
import personalPreferences from './modules/system/personalPreferences/index.js'
import logFileModule from './modules/system/log/index.js'
import systemNotice from './modules/system/systemNotice/index.js' 
import configManage from './modules/system/configManage/index.js'
import receiptSequence from './modules/system/receiptSequence/index.js'
import sendMessage from './modules/system/sendMessage/index.js'
import logQuery from './modules/system/logQuery/index.js'
import manage from './modules/system/manage/index';

export let rootModules = {
    state,
    actions,
    mutations,
    getters
}

export let vuexModules = {
    menuModule,
    roleModule,
    userModule,
    sessionModule,
    orgModule,
    EmailModule,
    TaskModule,
    menuResource,
    feedback,
    resourcesMonitoring,
    datasource,
    sysGroupMg,
    dimension,
    valueSet,
    menuTemplate,
    flexField,
    personalPreferences,
    logFileModule,
    systemNotice,
    configManage,
    receiptSequence,
    sendMessage,
    logQuery,
    manage
}
