export default {
    QueryServerList: function ({ commit }) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/server/list/dataserver`, {}).then((response) => {
                resolve(response.data);
            })
        })
    },
    QueryDataSourceList: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/datasource/stat/list`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    QueryDataSourceInfo: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/datasource/stat/info`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    QueryConnectionList: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/datasource/stat/connections`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    CreatDataSource: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/server/add`, param).then((response) => {
                resolve({
                    success: response.data.statusCode == '0',
                    msg: response.data.msg
                });
            })
        })
    },
    DeleteDataSource: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/server/delete`, param).then((response) => {
                resolve({
                    success: response.data.statusCode == '0',
                    msg: response.data.msg
                });
            })
        })
    }
}