export default {
    SysGroupMgQueryGropListByOrgId: function ({ commit }, param) {
        //查询指定组织下的群组信息
        //必传参数orgId
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/group/list/page`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    SysGroupMgQueryOrgByRoleId: function ({ commit }, param) {
        //目前此方法暂时通过userId查询组织
        //必传参数userId
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/groupMember/org/list`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    SysGroupMgAddGroup: function ({ commit }, param) {
        //查询指定组织下的群组信息
        //必传参数orgId
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/group/mobGroup/save`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    SysGroupMgSaveGroup: function ({ commit }, param) {
        //查询指定组织下的群组信息
        //必传参数orgId
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/groupMember/add`, param).then((response) => {
                resolve({
                    success: response.data.statusCode == '0',
                    msg: response.data.msg
                });
            })
        })
    },
    SysGroupMgUpdateGroup: function ({ commit }, param) {
        //查询指定组织下的群组信息
        //必传参数orgId
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/group/update`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    SysGroupMgDeleteGroup: function ({ commit }, param) {
        //查询指定组织下的群组信息
        //必传参数orgId
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/group/delete`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    SysGroupMgQueryGroupMemberList: function ({ commit }, param) {
        //查询指定群组下的人员信息
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/groupMember/list/page`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    SysGroupMgDeleteGroupMember: function ({ commit }, param) {
        //查询指定群组下的人员信息
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/groupMember/delete`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
}