export default {
    QueryMenus: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/menu/list/page`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },

    EditMenu: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/menu/${!!param.menuId ? 'update' : 'add'}`, param).then((response) => {
                resolve({
                    success: response.data.statusCode == '0',
                    msg: response.data.msg,
                    dataResult: response.data.dataResult
                });
            })
        })
    },
    DeleteMenu: function ({ commit }, menuIds) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/menu/delete?menuIds=${menuIds}`).then((response) => {
                resolve({
                    success: response.data.statusCode == '0',
                    msg: response.data.msg
                });
            })
        })
    },
    QueryMenusAndBtns: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/button/tree?roleId=${param.roleId}`, param).then((response) => {
                let list = [];
                let checkList = [];
                // for (let menu of response.data.dataResult.choosedMenu) {
                //     checkList.push(menu.menuId);
                // }
                for (let menu of response.data.dataResult.choosedButton) {
                    checkList.push(menu.btnId);
                }
                for (let btn of response.data.dataResult.Buttonlist) {
                    for (let b of btn) {
                        list.push({
                            "btnCode": b.btnCode,
                            "menuId": b.btnId,
                            "menuName": b.btnName,
                            "children": b.children || [],
                            "createTime": b.createTime,
                            "createUserID": b.createUserID,
                            "flag": b.flag,
                            "menuCode": b.menuCode,
                            "menuModuleId": b.menuId,
                            "operation": b.operation,
                            "total": b.total,
                            "url": b.url
                        });
                    }
                }
                list = list.concat(response.data.dataResult.menuList);
                let menuIdList = response.data.dataResult.choosedMenu.map(item => item.menuId);
                resolve({
                    data: list,
                    checkList,
                    menuIdList
                });
            })
        })
    },
    SaveMenusAndBtns: function ({ commit }, param) {
        //权限控制，保存角色选择的功能和资源按钮权限
        return new Promise((resolve) => {

            $axios.post(`${process.env.API.baseURL}/sys/role/assignMenu`, param).then((response) => {

                resolve({
                    success: response.data.statusCode == '0',
                    msg: response.data.msg
                });
            })
        })
    },
    GetMenuLang: function({ commit }, param) {
        return new Promise((resolve) => {
            $axios.get(`${process.env.API.baseURL}/sys/menu/name/lang/list/${param}/`, param).then((response) => {
                resolve(response.data.dataResult);
                    
            })
        })
    },
    SetManuAndLang: function({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/menu/name/lang/update`, param).then((response) => {
                resolve(response.data);
            })
        })
    }
}
