export default {
    QueryTemplate: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/menuTemplate/list/page`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    AddTemplate: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/menuTemplate/add`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    UpdateTemplate: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/menuTemplate/update`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    GetTemplateDetail: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/menuTemplate/detail?templateId=${param.templateId}`).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    GetMenuTree: function ({ commit }, param) {
        return new Promise((resolve) => {
            // resolve([]);
            $axios.post(`${process.env.API.baseURL}/sys/menuTemplate/tree?templateId=${param.templateId}`).then((response) => {
                let list = [];
                let checkList = [];
                // for (let menu of response.data.dataResult.choosedMenu) {
                //     checkList.push(menu.menuId);
                // }
                for (let menu of response.data.dataResult.choosedButton) {
                    checkList.push(menu.btnId);
                }
                for (let btn of response.data.dataResult.Buttonlist) {
                    for (let b of btn) {
                        list.push({
                            "btnCode": b.btnCode,
                            "menuId": b.btnId,
                            "menuName": b.btnName,
                            "children": b.children || [],
                            "createTime": b.createTime,
                            "createUserID": b.createUserID,
                            "flag": b.flag,
                            "menuCode": b.menuCode,
                            "menuModuleId": b.menuId,
                            "operation": b.operation,
                            "total": b.total,
                            "url": b.url
                        });
                    }
                }
                list = list.concat(response.data.dataResult.menuList);
                resolve({
                    data: list,
                    checkList
                });
            })
        })
    },
    QueryTemplateList: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/menuTemplate/data`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
}
