export default {
    OrgMgQueryCompany: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/company/list/page`, param).then((response) => {
                resolve(response.data.dataResult);

            }).catch((error) => {

                var result = {
                    "currentPage": 1,
                    "pageSize": 10,
                    "recordCount": 2,
                    "recordList": [],
                    "pageCount": 1,
                    "offset": 1,
                    "prePage": 1,
                    "nextPage": 1,
                    "hasPrePage": false,
                    "hasNextPage": false
                }
                resolve(result);
            })
        })
    },
    OrgMgAddCompany: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/company/add`, param).then((response) => {

                resolve(response.data);

            }).catch((error) => {

                var result = { "statusCode": "-1", "msg": "服务异常，请联系管理员", "dataResult": null, "extra": null };
                resolve(result);
            })
        })
    },
    OrgMgDeleteCompany: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/company/delete`, param).then((response) => {

                resolve(response.data);

            }).catch((error) => {

                var result = { "statusCode": "-1", "msg": "", "dataResult": null, "extra": null };
                resolve(result);
            })
        })
    },
    OrgMgUpdateCompany: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/company/update`, param).then((response) => {

                resolve(response.data);

            }).catch((error) => {

                var result = { "statusCode": "-1", "msg": "", "dataResult": null, "extra": null };
                resolve(result);
            })
        })
    },
    OrgMgQueryOrgListByCompanyId: function ({ commit }, param) {

        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/dept/company/direct/sub/list`, param).then((response) => {
                resolve(response.data);

            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": "网络异常，请联系管理员", "statusCode": "-1" }
                resolve(responseData);
            })
        })
    },
    QueryOrgListByCompanyId: function ({ commit }, param) {

        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/org/getDep`, param).then((response) => {
                resolve(response.data);

            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": "网络异常，请联系管理员", "statusCode": "-1" }
                resolve(responseData);
            })
        })
    },
    OrgMgAddOrgForCompany: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/dept/add`, param).then((response) => {

                resolve(response.data);

            }).catch((error) => {
                let result = { "statusCode": "-1", "msg": "", "dataResult": null, "extra": null };
                resolve(result);
            })
        })
    },
    OrgMgUpdateOrgForCompany: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/dept/update`, param).then((response) => {

                resolve(response.data);

            }).catch((error) => {
                let result = { "statusCode": "-1", "msg": "", "dataResult": null, "extra": null };
                resolve(result);
            })
        })
    },
    OrgMgDeleteOrgForCompany: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/dept/delete`, param).then((response) => {

                resolve(response.data);

            }).catch((error) => {
                let result = { "statusCode": "-1", "msg": "", "dataResult": null, "extra": null };
                resolve(result);
            })
        })
    }
}