export default {
    GetReceiptSequenceList: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/receiptSeq/query`, param).then((response) => {
                let recordList = [];
                if(!!response.data.length){
                  for(let item of response.data){
                    recordList.push(item);
                  }
                }
                resolve({recordList});
            })
        })
    },
    CreateReceiptSequence: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/receiptSeq/save`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    GetReceiptSequenceDetail: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/receiptSeq/detail?id=${param}`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    UpdateReceiptSequence: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/receiptSeq/update`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    DeleteReceiptSequence: function ({ commit }, param) {
        return new Promise((resolve) => {
            // $axios.post(`${process.env.API.baseURL}/sys/config/delete/${param.id}/${param.version}`).then((response) => {
            $axios.post(`${process.env.API.baseURL}/sys/receiptSeq/delete?ids=${param}`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    GetReceiptSequenceRuleList: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/receiptSeq/rule/query`, param).then((response) => {
                let recordList = [];
                if(!!response.data){
                    response.data.map((item) => {
                        // recordList.push({
                        //     ...item
                        // })
                        recordList.push(Object.assign({}, item));
                    });
                resolve({recordList});
                }
            })
        })
    },
    GetReceiptSequenceRuleDetail: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/receiptSeq/rule/query`, param).then((response) => {
                resolve(response.data);
            //     let recordList = [];
            //     response.data.map((item) => {
            //         recordList.push({
            //             ...item
            //         })
            //     });
            //     resolve({recordList});
            // })
        });
    })
    },
    CreateReceiptSequenceRule: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/receiptSeq/rule/save`, param).then((response) => {
                resolve(response);
            })
        })
    },
    UpdateReceiptSequenceRule: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/receiptSeq/rule/update`, param).then((response) => {
                resolve(response);
            })
        })
    },
    DeleteReceiptSequenceRule: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/receiptSeq/rule/delete?ids=${param}`, param).then((response) => {
                resolve(response);
            })
        })
    },
    ApplyResult: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/receiptSeq/apply?receiptSeqCode=${param}`, param).then((response) => {
                resolve(response);
            })
        })
    },
}