export default {
    QueryRole: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/role/list/page`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    DeleteRole: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/role/delete?roleIds=${param.roleIds}`, param).then((response) => {
                resolve({
                    success: response.data.statusCode == '0',
                    msg: response.data.msg
                });
            })
        })
    },
    GetRoleDetail: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/role/detail?roleId=${param.id}`).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    AddRole: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/role/add`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    UpdateRole: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/role/update`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    RoleUserMgQueryUserOfRole: function ({ commit }, param) {

        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/role/rel/role/user/list`, param).then((response) => {

                resolve(response.data.dataResult);
            })
        })
    },
    RoleUserMgQueryOtherUserOfRole: function ({ commit }, param) {

        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/role/rel/role/queryOtherUser`, param).then((response) => {

                resolve(response.data.dataResult);
            })
        })
    },
    RoleUserMgAddUserToRole: function ({ commit }, param) {

        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/role/rel/role/add`, param).then((response) => {

                resolve(response.data);
            })
        })
    },
    RoleUserMgDeleteUserFromRole: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/role/rel/role/delete`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    ToggleLockRole: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/role/${param.status == 0 ? 'lock' : 'unlock'}`, { roleIds: param.ids }).then((response) => {
                resolve({
                    success: response.data.statusCode == '0',
                    msg: response.data.msg
                });
            })
        })
    },
    QueryOrg: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/org/getDep`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //列表查询
    QueryOrgDimension: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sysRoleDataRuleRel/query`, param).then((response) => {
                resolve(response.data.dataResult.datas);
            })
        })
    },
    //列表查询
    QueryOrgDimensionInfo: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sysRoleDataRuleRel/query`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    //树结构查询
    QueryOrgDimensionTree: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sysRoleDataRuleRel/query`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    UpdateOrgDimension: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sysRoleDataRuleRel/add`, param).then((response) => {
                resolve(response.data);
            })
        })
    }
}