export default {
    //列表初始化数据
    GetSysNoticeList: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/notice/list/page`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    //添加、编辑
    CreateSysNotice: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/notice/save`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //删除公告
    DeleteNotice: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/notice/delete/${param.noticeId}/${param.version}`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //根据id获取公告详情
    GetNoticeInfo: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.get(`${process.env.API.baseURL}/sys/notice/view/${param}`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //获取公告附件列表
    GetNoticeAttaList: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.get(`${process.env.API.baseURL}/sys/notice/attach/list/${param}`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //删除附件
    DeleteAttach: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/notice/attach/delete/${param.attachId}/${param.version}`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //修改公告状态
    UpdateStatus: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/notice/update/status`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //下载附件
    DownloadAttach: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.get(`${process.env.API.baseURL}/sys/notice/attach/download/${param}`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    // //获取首页公告数据,参数为默认展示前几条
    // GetHomeNoticeList: function ({ commit }, param) {
    //     return new Promise((resolve) => {
    //         $axios.post(`${process.env.API.baseURL}/sys/notice/user/homeIndex?size=3`, param).then((response) => {
    //             resolve(response.data);
    //         })
    //     })
    // },
    //获取首页公告数据，获取全部数据
    GetHomeNoticeList: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.get(`${process.env.API.baseURL}/sys/notice/my`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    
    
}