import axios from 'axios'
export default {
    QueryUser: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(process.env.API.baseURL.concat(`/sys/account/list/page`), param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    QueryUserDetail: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/account/detail`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    ToggleLockUser: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/account/${param.status == 0 ? 'lock' : 'unlock'}`, { ids: param.ids }).then((response) => {
                resolve({
                    success: response.data.statusCode == '0',
                    msg: response.data.msg
                });
            })
        })
    },
    DeleteUser: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/account/delete/delFlag`, param).then((response) => {
                resolve({
                    success: response.data.statusCode == '0',
                    msg: response.data.msg
                });
            })
        })
    },
    EditUser: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/account/${!!param.userId ? 'update' : 'add'}`, param).then((response) => {
                resolve({
                    success: response.data.statusCode == '0',
                    msg: response.data.msg
                });
            })
        })
    },
    ImportGroup: function({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/account/add/batch`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    UpdatePassword: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/account/password/update`, param).then((response) => {
                resolve({
                    success: response.data.statusCode == '0',
                    msg: response.data.msg
                });
            })
        })
    },
    GetGroup: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/account/getOrg`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    }, 
    GetGroupByOrg: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/org/getOrg`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    UpdatePersonPhoto: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/account/avatar/upload`, param).then((response) => {
                resolve({
                    success: response.data.statusCode == '0',
                    msg: response.data.msg
                });
            })
        })
    },
    unlockedUserPwd: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/account/password/unlock`, param).then((response) => {
                resolve({
                    success: response.data.statusCode == '0',
                    msg: response.data.msg
                });
            })
        })
    },  
    QueryUserLogList: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(process.env.API.baseURL.concat(`/auditlog/findByRecord`), param).then((response) => {
                let recordList = [];
                for(let item of response.data.dataResult)
                    recordList.push(item)
                resolve({ recordList });
            })
        })
    }, 
}