export default {
    //获取值集主记录页面
    GetValueSetList: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/valueset/list/page`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    //添加值集
    AddValueSet: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/valueset/add`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //获取值集详情
    GetValueSetInfo: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.get(`${process.env.API.baseURL}/sys/valueset/id/${param}`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //修改值集
    UpdateValueSet: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/valueset/update`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //批量删除值集
    DeleteValueSet: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/valueset/delete`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //获取动态sql信息
    GetSQLInfo: function({ commit }, param) {
        return new Promise((resolve) => {
            $axios.get(`${process.env.API.baseURL}/sys/valueset/item/sql/code/${param}/`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //添加动态sql
    AddVsSQL: function({ commit }, param){
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/valueset/item/sql/add`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //修改动态sql
    UpdateVsSQL: function({ commit }, param){
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/valueset/item/sql/update`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //动态sql查询效果预览
    PreviewSearchResult: function({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/valueset/item/sql/preview`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //添加自定义值集
    AddVSelfDefine: function({ commit }, param){
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/valueset/item/add`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //编辑自定义值集
    UpdateVSelfDefine: function({ commit }, param){
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/valueset/item/update`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //批量删除自定义值集
    DeleteVSelfDefine: function({ commit }, param){
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/valueset/item/delete`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //自定义值集主记录分页页面
    VSelfDefineList: function({ commit }, param){
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/valueset/item/list/page`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    //获取值记录详情
    GetVSelfDefineInfo: function({ commit }, param){
        return new Promise((resolve) => {
            $axios.get(`${process.env.API.baseURL}/sys/valueset/item/id/${param}`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //获取父值下拉列表
    GetParentValue: function({ commit }, param){
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/valueset/item/list/parent`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //批量删除值集项
    DeleteVDefineSelf: function({ commit }, param){
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/valueset/item/delete`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    //获取值名称国际化明细
    GetValueNameInfo: function({ commit }, param){
        return new Promise((resolve) => {
            $axios.get(`${process.env.API.baseURL}/sys/valueset/item/name/lang/list/${param}`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },

    //编辑国际化名称
    UpdateNameLang: function({ commit }, param){
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/valueset/item/value/lang/update`, param).then((response) => {
                resolve(response.data);
            })
        })
    },

    // 根据值集代码查询
    GetValueSetByCode: function({ commit }, param){
        return new Promise((resolve) => {
            $axios.get(`${process.env.API.baseURL}/sys/valueset/item/list/${param.code}`).then((response) => {
                resolve(response.data);
            })
        })
    },

    // 根据值集代码、父级值key查询
    GetValueSetByCodeAndParentKey: function({ commit }, param){
        return new Promise((resolve) => {
            $axios.get(`${process.env.API.baseURL}/sys/valueset/item/list/${param.code}/${param.parentKey}`).then((response) => {
                resolve(response.data);
            })
        })
    },
    
    
}