import Vue from "vue";
import { appRouter, otherRouter } from "../router.js";
import Cookies from "js-cookie";
import Util from "../tools/util";
export default {
  setTagsList(state, list) {
    state.tagsList.push(...list);
  },
  increateTag(state, tagObj) {
    state.cachePage.push(tagObj.name);
    state.pageOpenedList.push(tagObj);
  },
  removeTag(state, name) {
    state.pageOpenedList.map((item, index) => {
      if ((item.actionUrl || item.name) === name) {
        state.pageOpenedList.splice(index, 1);
      }
    });

    localStorage.pageOpenedList = JSON.stringify(state.pageOpenedList);

    let i = state.cachePage.findIndex(val => {
      return val == name.split("?")[0];
    });
    !!~i && state.cachePage.splice(i, 1);
  },
  moveToSecond(state, index) {
    let openedPage = state.pageOpenedList[index];
    state.pageOpenedList.splice(index, 1);
    state.pageOpenedList.splice(1, 0, openedPage);
    localStorage.pageOpenedList = JSON.stringify(state.pageOpenedList);
  },
  setOpenedList(state) {
    state.pageOpenedList = localStorage.pageOpenedList
      ? JSON.parse(localStorage.pageOpenedList)
      : [$store.getters.homePage]; //otherRouter.children[0]
  },
  setCurrentPath(state, pathArr) {
    state.currentPath = pathArr;
  },
  setCurrentPageName(state, name) {
    state.currentPageName = name;
    localStorage.currentPageName = name;
  },
  // addOpenSubmenu(state, name) {
  //   let hasThisName = false;
  //   let isEmpty = false;
  //   if (name.length === 0) {
  //     isEmpty = true;
  //   }
  //   if (state.openedSubmenuArr.indexOf(name) > -1) {
  //     hasThisName = true;
  //   }
  //   if (!hasThisName && !isEmpty) {
  //     state.openedSubmenuArr.push(name);
  //   }
  // },
  clearOpenedSubmenu(state) {
    // state.openedSubmenuArr.length = 0;
    sessionStorage.crctoken = "";
    state.pageOpenedList = [];
    localStorage.removeItem("pageOpenedList");
    sessionStorage.scopeUrl = "";
    state.userMenuTree = [];
    state.cachePage = [];
    state.userInfo = {
      userIP: "",
      userId: "",
      userCode: "",
      userName: "",
      loginTime: "",
      lastAccessTime: "",
      avatar: ""
    };
  },
  clearCachePage(state) {
    state.cachePage = [];
  },
  changeMenuTheme(state, theme) {
    state.menuTheme = theme;
  },
  changeMainTheme(state, mainTheme) {
    state.theme = mainTheme;
  },
  lock(state) {
    Cookies.set("locking", "1");
  },
  unlock(state) {
    Cookies.set("locking", "0");
  },
  setMenuList(state, menulist) {
    state.menuList = menulist;
  },
  updateMenulist(state) {
    let accessCode = parseInt(Cookies.get("access"));
    let menuList = [];
    appRouter.forEach((item, index) => {
      if (item.access !== undefined) {
        if (Util.showThisRoute(item.access, accessCode)) {
          if (item.children.length <= 1) {
            menuList.push(item);
          } else {
            let i = menuList.push(item);
            let childrenArr = [];
            childrenArr = item.children.filter(child => {
              if (child.access !== undefined) {
                if (child.access === accessCode) {
                  return child;
                }
              } else {
                return child;
              }
            });
            menuList[i - 1].children = childrenArr;
          }
        }
      } else {
        if (item.children.length <= 1) {
          menuList.push(item);
        } else {
          let i = menuList.push(item);
          let childrenArr = [];
          childrenArr = item.children.filter(child => {
            if (child.access !== undefined) {
              if (Util.showThisRoute(child.access, accessCode)) {
                return child;
              }
            } else {
              return child;
            }
          });
          menuList[i - 1].children = childrenArr;
        }
      }
    });
    state.menuList = menuList;
  },
  setAvator(state, path) {
    localStorage.avatorImgPath = path;
  },
  setUserInfo(state, data) {
    Object.assign(state.userInfo, data);
  },
  setUserMenuTree(state, data) {
    state.userMenuTree = data;
  },
  setUserMenu(state, data) {
    state.userMenu = data;
  },
  setScopeUrl(state, str) {
    state.scopeUrl = str;
    sessionStorage.scopeUrl = str;
  },
  setAvatar(state, data) {
    state.avatar = data;
  },
  setOptionRight(state, data) {
    state.optionRight = data;
  },
  setLang(state, lang) {
    state.lang = lang;
    Vue.config.lang = state.lang;
  },
  setDimensionOperationType(state, data) {
    state.dimensionOperationType = data;
  },
  setRoleModule(state, val) {
    state.roleId = val;
  },
  changeTagsLang(state, menuList = []) {
    let tag,
      menu,
      tags = state.pageOpenedList;
    // 第一个要特殊处理
    for (let i = 1, len = tags.length; i < len; i++) {
      tag = tags[i];
      menu = findMenuByTag(tag, menuList);
      if (menu) {
        tag.title = menu.menuName;
      } else {
        console.error("没找到对应的菜单项数据: " + JSON.stringify(tag));
      }
    }

    tags[0].title = $getLang("common.homePage", localStorage.language);
  },
  loading(state,flag) {
    if (flag) {
      state.sidelipLoading.push(true);
    }else {
      state.sidelipLoading.splice(0,1);
    }
  },
  clearLoading(state) {
    state.sidelipLoading = [];
  },
  setFullscreen(state) {
    state.isFullscreen = !state.isFullscreen;
  }
};

function findMenuByTag(tag, menuList) {
  let menu,
    tagParamStr = JSON.stringify(tag.params);
  for (let w = 0, count = menuList.length; w < count; w++) {
    menu = menuList[w];
    if (!!menu.children && menu.children.length > 0 && (!menu.isLight || menu.level != 1)) {
      menu = findMenuByTag(tag, menu.children);
      if (menu) {
        return menu;
      }
    } else {
      if (menu.actionUrl === tag.actionUrl && (tagParamStr === "{}" || JSON.stringify(menu.params) === tagParamStr)) {
        return menu;
      }
    }
  }
}
